Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindByPackageType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v4.FindByPackageType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:44:45+02:00",
               comments="JAXB RI v2.2.11")
    public class FindByPackageType

extends Object
implements Serializable

Java class for FindByPackageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByPackageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="AuthorisationNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="CtiExtendedCode" type="{urn:be:fgov:ehealth:dics:core:v4:core}CtiExtendedType"/>
               <element name="AtcCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
             </choice>
             <element name="Commercialised" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="InSupplyProblem" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="ComponentEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v4}ComponentEquivalentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindByPackageType()`

Method Summary
`String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
`String` | `getAtcCode()` Gets the value of the atcCode property.
`String` | `getAuthorisationNr()` Gets the value of the authorisationNr property.
`List<ComponentEquivalentType>` | `getComponentEquivalents()` Gets the value of the componentEquivalents property.
`String` | `getCtiExtendedCode()` Gets the value of the ctiExtendedCode property.
`Boolean` | `isCommercialised()` Gets the value of the commercialised property.
`Boolean` | `isInSupplyProblem()` Gets the value of the inSupplyProblem property.
`void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.
`void` | `setAtcCode(String value)` Sets the value of the atcCode property.
`void` | `setAuthorisationNr(String value)` Sets the value of the authorisationNr property.
`void` | `setCommercialised(Boolean value)` Sets the value of the commercialised property.
`void` | `setCtiExtendedCode(String value)` Sets the value of the ctiExtendedCode property.
`void` | `setInSupplyProblem(Boolean value)` Sets the value of the inSupplyProblem property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindByPackageType

    public FindByPackageType()

Method Detail

### getAnyNamePart

    public String getAnyNamePart()

  Gets the value of the anyNamePart property.

  Returns:
    possible object is `String`

### setAnyNamePart

    public void setAnyNamePart(String value)

  Sets the value of the anyNamePart property.

  Parameters:
    `value` - allowed object is `String`

### getAtcCode

    public String getAtcCode()

  Gets the value of the atcCode property.

  Returns:
    possible object is `String`

### setAtcCode

    public void setAtcCode(String value)

  Sets the value of the atcCode property.

  Parameters:
    `value` - allowed object is `String`

### getCtiExtendedCode

    public String getCtiExtendedCode()

  Gets the value of the ctiExtendedCode property.

  Returns:
    possible object is `String`

### setCtiExtendedCode

    public void setCtiExtendedCode(String value)

  Sets the value of the ctiExtendedCode property.

  Parameters:
    `value` - allowed object is `String`

### getAuthorisationNr

    public String getAuthorisationNr()

  Gets the value of the authorisationNr property.

  Returns:
    possible object is `String`

### setAuthorisationNr

    public void setAuthorisationNr(String value)

  Sets the value of the authorisationNr property.

  Parameters:
    `value` - allowed object is `String`

### isCommercialised

    public Boolean isCommercialised()

  Gets the value of the commercialised property.

  Returns:
    possible object is `Boolean`

### setCommercialised

    public void setCommercialised(Boolean value)

  Sets the value of the commercialised property.

  Parameters:
    `value` - allowed object is `Boolean`

### isInSupplyProblem

    public Boolean isInSupplyProblem()

  Gets the value of the inSupplyProblem property.

  Returns:
    possible object is `Boolean`

### setInSupplyProblem

    public void setInSupplyProblem(Boolean value)

  Sets the value of the inSupplyProblem property.

  Parameters:
    `value` - allowed object is `Boolean`

### getComponentEquivalents

    public List<ComponentEquivalentType> getComponentEquivalents()

  Gets the value of the componentEquivalents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the componentEquivalents property.

  For example, to add a new item, do as follows:

          getComponentEquivalents().add(newItem);

  Objects of the following type(s) are allowed in the list `ComponentEquivalentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.